#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
int n,m,a,b,c;
cin>>n>>m;
for(int i=0;i<m;i++)
    cin>>a>>b>>c;
cin>>n>>m;
cout<<"-1";

    return 0;
}